/**
 * generated by Xtext 2.19.0.M3
 */
package fr.irisa.cairn.graphviz.model.dotty;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Shape Attribute</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.irisa.cairn.graphviz.model.dotty.ShapeAttribute#getShape <em>Shape</em>}</li>
 * </ul>
 *
 * @see fr.irisa.cairn.graphviz.model.dotty.DottyPackage#getShapeAttribute()
 * @model
 * @generated
 */
public interface ShapeAttribute extends Attribute
{
  /**
   * Returns the value of the '<em><b>Shape</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Shape</em>' attribute.
   * @see #setShape(String)
   * @see fr.irisa.cairn.graphviz.model.dotty.DottyPackage#getShapeAttribute_Shape()
   * @model
   * @generated
   */
  String getShape();

  /**
   * Sets the value of the '{@link fr.irisa.cairn.graphviz.model.dotty.ShapeAttribute#getShape <em>Shape</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Shape</em>' attribute.
   * @see #getShape()
   * @generated
   */
  void setShape(String value);

} // ShapeAttribute
